
Katello - Bug #5749

rake db:migrate of UpdateProductsAddOrganization fails

05/15/2014 07:33 PM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1098322 Red Hat JIRA:  

Pull request:    

Description

$ rake db:migrate

[deprecated] I18n.enforce_available_locales will default to true in the future. If you really want to skip validation of your locale you

can set I18n.enforce_available_locales = false to avoid this message.

UpdateProductsAddOrganization: migrating ================================

-- add_column(:katello_products, :organization_id, :integer, {:null=>true})

-> 0.1134s

rake aborted!

StandardError: An error has occurred, this and all later migrations canceled:

The single-table inheritance mechanism failed to locate the subclass: 'Katello::MarketingProduct'. This error is raised because the

column 'type' is reserved for storing the class in case of inheritance. Please rename this column if you didn't intend it to be used for

storing the inheritance class or overwrite Katello::Product.inheritance_column to use another column for that

information./usr/local/rvm/gems/ruby-1.9.3-p448@foreman/gems/activerecord-3.2.18/lib/active_record/inheritance.rb:143:in `rescue

in find_sti_class'

/usr/local/rvm/gems/ruby-1.9.3-p448@foreman/gems/activerecord-3.2.18/lib/active_record/inheritance.rb:136:in `find_sti_class'

/usr/local/rvm/gems/ruby-1.9.3-p448@foreman/gems/activerecord-3.2.18/lib/active_record/inheritance.rb:62:in `instantiate'

Associated revisions

Revision 1c65401b - 05/15/2014 07:36 PM - Eric Helms

Fixes #5749: Prevent error when migrating existing marketing and engineering

Products due to STI inheritance column.

Revision 9997e4aa - 05/16/2014 01:51 PM - Eric Helms

Merge pull request #4101 from ehelms/fixes-5749

Fixes #5749: Prevent error when migrating existing marketing and enginee...

History

#1 - 05/15/2014 07:34 PM - Thomas McKay

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1098322

#2 - 05/16/2014 01:52 PM - Eric Helms

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:1c65401bc0ddba3489e8f1501cd9435d3ea5d634.

#3 - 06/06/2014 01:09 PM - Eric Helms

- Triaged changed from No to Yes

#4 - 08/22/2014 08:24 AM - Eric Helms

- translation missing: en.field_release set to 13
